logo
CategoriasListar Categorias

Listar Categorias

Retorna as categorias disponíveis para a empresa. Cada item pode incluir estabelecimentos vinculados e metadados de tipo (por exemplo, categoria personalizada ou padrão).

curl -X GET "https://api-sandbox.contasimples.com/categories/v1/categories" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": 1146,
      "createdAt": "2024-12-25T10:00:00Z",
      "updatedAt": "2024-12-25T10:00:00Z",
      "companyId": "7c61b3f6-7353-46aa-80ef-3e27d95150ab",
      "name": "Eletrônicos",
      "establishments": [
        {
          "id": 16,
          "createdAt": "2024-12-25T10:00:00Z",
          "updatedAt": "2024-12-25T10:00:00Z",
          "name": "Amazon Prime Aluguel",
          "type": {
            "id": 1,
            "createdAt": "2024-12-25T10:00:00Z",
            "updatedAt": "2024-12-25T10:00:00Z",
            "type": "CUSTOM"
          },
          "establishmentCategoryId": 1039
        }
      ],
      "type": {
        "id": 1,
        "createdAt": "2024-12-25T10:00:00Z",
        "updatedAt": "2024-12-25T10:00:00Z",
        "type": "CUSTOM"
      }
    }
  ]
}
GET
/categories/v1/categories
GET
Bearer Token
Bearer Tokenstring
Required

Token Bearer obtido via OAuth 2.0 Client Credentials. Formato: Bearer {token}

Token Bearer obtido via OAuth 2.0 Client Credentials. Formato: Bearer {token}
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Token Bearer obtido via OAuth 2.0 Client Credentials. Formato: Bearer \{token\}

Responses

itemsarray
Required

Categorias disponíveis para a empresa.